@font-face {
    font-family: "gg sans";
    src: url("/assets/fonts/ggsans.woff2") format("woff2")
}

:root {
    --font-text: "gg sans", "Noto Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    --channel-list-color: oklab(0.687595 0.00170779 -0.0100886);
    --border-color: #393a3f;
}

html {
    background-color: #2c2d32;
    background-image: url("/assets/icons/discordTile.png");
    background-repeat: repeat;
    background-position: 0 0;
}

html.diag {
    animation: diagonal 7s linear infinite;
    animation-play-state: paused;
}

@keyframes diagonal {
    from {
        background-position: 0 0;
    }

    to {
        background-position: 470px 370px;
    }
}

body {
    display: flex;
    flex-direction: column;
    color: oklab(0.964433 0.000374019 -0.00127321);
    font-size: 16px;
    font-family: var(--font-text);
}

#content {
    /* padding: 2em; */
    min-height: 100vh;
    /* background-color: #323339; */
}

#content>div {
    margin: 2em;
}

/* info */

.title {
    color: oklab(1 0 5.96046e-8);
    font-size: 18px;
    line-height: 20px;
    font-weight: 600;
}

#info {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2em;
}

#icon,
#music {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 300px;
    width: 300px;
    padding: 1em;
    /* background-color: #323339; */
    background-color: #2c2d32;
    border-radius: 8px;
    border: 1px solid var(--border-color);
}

#icon img {
    border: solid 2px #333;
    vertical-align: middle;
}

#icon img,
#music video {
    max-width: 284px;
    max-height: 220px;
    border-radius: 2px;
    background-color: #40444b;
}

/* channels */

#channels, #soundboard, #roles {
    background-color: #2c2d32;
    padding: 16px;
    border: 1px solid var(--border-color);
    border-radius: 12px;
}

.category {
    margin-top: 1rem;
    font-size: 14px;
    font-weight: 500px;
    color: var(--channel-list-color);
}

.caret {
    position: relative;
    left: 2px;
    top: 2px;
    width: 12px;
    height: 12px;
}

.channel {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space;
    gap: 8px;
    padding-bottom: 4px;
    padding-inline-end: 8px;
    padding-inline-start: 8px;
    padding-left: 0px;
    padding-right: 8px;
    padding-top: 4px;
    min-height: 31px;
}

.channel-icon {
    height: 20px;
    color: #99aab5;
}

.channel-name,
.channel-rule {
    font-family: var(--font-text);
    font-size: 16px;
    font-weight: 500;
    flex-shrink: 0;
}

.channel-name {
    color: var(--channel-list-color);
}

.channel-name.small {
    width: 80px;
}

.channel-name.normal {
    width: 101px;
}

.channel-rule {
    font-size: 1em;
    color: #42464d;
}

.twemoji {
    height: 20px;
    vertical-align: text-bottom;
}

/* emojis and stickers*/

.emojis,
.stickers {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1em;
}

.emoji-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 5em;
    min-width: 5em;
}

.sticker-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 8em;
}

.sound-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-width: 8em;
    gap: 1em;
}

.emoji-container a,
.sticker-container a {
    display: inline-block;
}

.emoji {
    display: block;
    background-color: #40444b;
    border: 4px solid #40444b;
    border-color: #40444b;
    color: transparent;
    padding: 0px;
    border-radius: 2px;
    min-width: 1em;
    max-width: 5em;
    max-height: 5em;
}

.sound-emoji {
    max-width: 22px;
    max-height: 22px;
}

.sticker {
    display: block;
    background-color: #40444b;
    border: 4px solid #40444b;
    border-color: #40444b;
    color: transparent;
    padding: 0px;
    border-radius: 2px;
    min-width: 1em;
    max-width: 9em;
    max-height: 9em;
}

.emoji.new,
.sticker.new {
    padding: 0px;
    border: 4px solid #6a9c6d;
    /* #485947*/
}

.emoji.removed,
.sticker.removed {
    padding: 0px;
    border: 4px solid #9c6a6a;
    /* #594747; */
}

/* .emoji-container[data-id="961119603289890846"] .emoji {
    height: 5em;
    width: 5em;
} */

/* media rules */

@media (max-width: 700px) {
    #info {
        flex-direction: column;
        align-items: center;
        gap: 1em;
    }
}

@media (min-width: 1000px) {
    body {
        flex-direction: row;
        justify-content: space-around;
    }

    #content {
        width: 800px;
    }
}